## ros-pcl-msgs 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pcl_msgs)

# Deal with catkin
find_package(catkin REQUIRED COMPONENTS message_generation sensor_msgs std_msgs)

# create messages
add_message_files(DIRECTORY msg
                  FILES ModelCoefficients.msg
                        PointIndices.msg
                        PolygonMesh.msg
                        Vertices.msg
)
generate_messages(DEPENDENCIES sensor_msgs std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs std_msgs)

=== debian/changelog ===
ros-pcl-msgs (0.2.0-8) unstable; urgency=medium

  * Bump policy version (no changes)
  * Add MA hint
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 17:39:06 +0200

ros-pcl-msgs (0.2.0-7) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Make package arch:any due to arch:any dependency
  * Add MA hints
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 20:02:16 +0200

ros-pcl-msgs (0.2.0-6) unstable; urgency=medium

  * Remove lintian override, fixed in lintian 2.5.47
  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:22:56 +0100

ros-pcl-msgs (0.2.0-5) unstable; urgency=medium

  [ Daniele E. Domenichelli ]
  * Add missing build dependency (Closes: #835575)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2016 23:31:42 +0200

ros-pcl-msgs (0.2.0-4) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in a separate package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 09:38:47 +0200

ros-pcl-msgs (0.2.0-3) unstable; urgency=medium

  * Rebuild for changes in ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 20:04:31 +0200

ros-pcl-msgs (0.2.0-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:14:38 +0100

ros-pcl-msgs (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #806282)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 26 Dec 2015 23:42:02 +0000

=== debian/control ===
Source: ros-pcl-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), ros-message-generation, catkin,
		python-setuptools, python-all, python3-all,
		libsensor-msgs-dev, libgeometry-msgs-dev, ros-message-runtime,
		libroscpp-core-dev, libstd-msgs-dev, dh-python,
		ros-sensor-msgs
Standards-Version: 4.2.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pcl_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-pcl-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-pcl-msgs.git

Package: ros-pcl-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-sensor-msgs
Description: Definitions of PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the message definitions.

Package: libpcl-msgs-dev
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-message-runtime, libsensor-msgs-dev
Description: C/C++ headers for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated C++ headers.

Package: python-pcl-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-sensor-msgs
Description: Python 2 code for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated Python 2 package.

Package: python3-pcl-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-sensor-msgs
Description: Python 3 code for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated Python 3 package.

Package: cl-pcl-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-sensor-msgs
Description: LISP code for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated LISP library.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with python2,python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-pcl-msgs-$1.tar.gz%" \
    https://github.com/ros-perception/pcl_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-pcl-msgs 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(pcl_msgs)
 
 # Deal with catkin
@@ -11,6 +11,8 @@
                         PolygonMesh.msg
                         Vertices.msg
 )
+add_service_files(DIRECTORY srv
+                  FILES UpdateFilename.srv)
 generate_messages(DEPENDENCIES sensor_msgs std_msgs)
 
 catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs std_msgs)

=== debian/changelog ===
ros-pcl-msgs (0.3.0-4) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 00:07:22 +0200

ros-pcl-msgs (0.3.0-3) unstable; urgency=medium

  * Drop unused python3-all dependency for cross builds
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:46:49 +0200

ros-pcl-msgs (0.3.0-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:49:13 +0100

ros-pcl-msgs (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 23:26:00 +0200

ros-pcl-msgs (0.2.0-10) unstable; urgency=medium

  * restrict d/watch to ROS1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Oct 2019 07:38:03 +0100

ros-pcl-msgs (0.2.0-9) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938388)
  * simplify d/rules
  * simplify d/watch
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:41:56 +0200

=== debian/control ===
Source: ros-pcl-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 libgeometry-msgs-dev,
 libroscpp-core-dev,
 libsensor-msgs-dev,
 libstd-msgs-dev,
 python3-setuptools,
 ros-message-generation,
 ros-message-runtime,
 ros-sensor-msgs,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pcl_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-pcl-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-pcl-msgs.git

Package: ros-pcl-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ros-sensor-msgs,
 ${misc:Depends},
Description: Definitions of PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the message definitions.

Package: cl-pcl-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 cl-sensor-msgs,
 ${misc:Depends},
Description: LISP code for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated LISP library.

Package: libpcl-msgs-dev
Architecture: any
Multi-Arch: foreign
Depends:
 libsensor-msgs-dev,
 ros-message-runtime,
 ${misc:Depends},
Description: C/C++ headers for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated C++ headers.

Package: python3-pcl-msgs
Section: python
Architecture: all
Depends:
 python3-sensor-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 code for PCL-related Robot OS Messages
 This package is part of Robot OS (ROS). It contains messages which
 provide the glue between the Point Cloud Library and ROS.
 .
 This package contains the generated Python 3 package.
